#ifdef VHDL_TESTBENCH
/*
 * $Id: Interface_fifo_get_cycle.cpp 81 2008-04-15 18:40:01Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Interface_fifo.h"


namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Interface_fifo::get_cycle"
  uint32_t Interface_fifo::get_cycle (void)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    
    uint32_t _return;

    if (_test_exhaustive == true)
      _return = Interface::get_cycle();
    else
      if (_list_cycle->empty() == true)
	_return = 0;
      else
	_return = _list_cycle->back();

    log_printf(FUNC,Behavioural,FUNCTION,"End");

    return _return;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
#endif
